Subject: Re: [urn] new draft 9 - RE: new urn PWID draft (7) with corrections

From: Eld Zierau <[email-masked]>
Date: Thu, 31 Oct 2019 13:29:22 +0000

Dear S. Moonesamy

Please see my comments below

Best regards, Eld
-----
Eld Zierau
Digital Preservation Specialist PhD
The Royal Danish Library
Digital Cultural Heritage
P.O. Box 2149, 1016 Copenhagen K
Ph. +45 9132 4690 
Email: [email-masked]

>Dear Eld,
>At 12:43 AM 06-09-2019, Eld Zierau wrote:
>>Let me stress that I really think it is important that this is a 
>>standard obtained within IETF as it is very much related to the 
>>internet. The PWID can cover a very
>
>There was a request for a URN registration in December 2017.  That is not the same as a standard >obtained within the IETF.

Eld: Sorry if I did not express myself clear, - I know it is not the same, - my point is more that a standard is best placed under IETF rather than being an ISO standard or some organization that are not attached to a standard organization.

>
>One of the comments from Mr Thompson was about the following: "The PWID URNs do not have to be >assigned by an authority, as they are based on the information created at the time of archiving".  There is >usually an entity managing a namespace on behalf of its community.  It is not clear who will ensure >uniqueness of identifiers if there isn't any authority to makes the decisions.

Eld: The uniqueness is ensured by the required archiving information: the archive, the archiving time (with as much granularity as possible) and the archived URL. Since no archive will archive the same harvested URL at exactly the same time, this information will uniquely identify the resource. Another way to see it is that archives are responsible for preserving the fundamental archiving metadata with the data: the time of archiving and what is archived. No archive would omit any of these informations, and if they did, it would be one of the cases where you cannot use PWIDs for the data.  You could say that the archive is issuing PWIDs when they archive a URL.  

>Regards,
>S. Moonesamy

-----Original Message-----
From: S Moonesamy <[email-masked]> 
Sent: Friday, September 6, 2019 2:58 PM
To: Eld Zierau <[email-masked]>; [email-masked]
Subject: Re: [urn] new draft 9 - RE: new urn PWID draft (7) with corrections

Dear Eld,
At 12:43 AM 06-09-2019, Eld Zierau wrote:
>Let me stress that I really think it is important that this is a 
>standard obtained within IETF as it is very much related to the 
>internet. The PWID can cover a very

There was a request for a URN registration in December 2017.  That is not the same as a standard obtained within the IETF.

One of the comments from Mr Thompson was about the following: "The PWID URNs do not have to be assigned by an authority, as they are based on the information created at the time of archiving".  There is usually an entity managing a namespace on behalf of its community.  It is not clear who will ensure uniqueness of identifiers if there isn't any authority to makes the decisions.

Regards,
S. Moonesamy